## org.codehaus.plexus.personality.plexus.lifecycle.phase
Class InitializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException

All Implemented Interfaces:
  java.io.Serializable

    public class InitializationException

extends java.lang.Exception

Indicates a problem occurred when initialising a component.

Version:
  $Id: InitializationException.java 4796 2006-11-23 21:24:11Z jvanzyl $
Author:
  Brett Porter
See Also:
  Serialized Form

Constructor Summary
`InitializationException(java.lang.String message)`
`InitializationException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationException

    public InitializationException(java.lang.String message)

### InitializationException

    public InitializationException(java.lang.String message,
                                   java.lang.Throwable cause)

Copyright © 2011. All Rights Reserved.